Loading...
Searching...
No Matches
janus_wsevh.c File Reference
Event Handlers

Janus WebSockets EventHandler plugin. More...

`#include "eventhandler.h"`
`#include <math.h>`
`#include <libwebsockets.h>`
`#include "../debug.h"`
`#include "../config.h"`
`#include "../mutex.h"`
`#include "../utils.h"`
`#include "../events.h"`
Include dependency graph for janus_wsevh.c:

## Data Structures

struct | janus_wsevh_client

## Macros

#define | JANUS_WSEVH_VERSION 1
#define | JANUS_WSEVH_VERSION_STRING "0.0.1"
#define | JANUS_WSEVH_DESCRIPTION "This is a trivial WebSockets event handler plugin for Janus."
#define | JANUS_WSEVH_NAME "JANUS WebSocketsEventHandler plugin"
#define | JANUS_WSEVH_AUTHOR "Meetecho s.r.l."
#define | JANUS_WSEVH_PACKAGE "janus.eventhandler.wsevh"
#define | WS_LIST_TERM 0, NULL, 0
#define | lws_sorted_usec_list_t void
#define | JANUS_WSEVH_ERROR_INVALID_REQUEST 411
#define | JANUS_WSEVH_ERROR_MISSING_ELEMENT 412
#define | JANUS_WSEVH_ERROR_INVALID_ELEMENT 413
#define | JANUS_WSEVH_ERROR_UNKNOWN_ERROR 499
#define | JANUS_WSEVH_MAX_RETRY_SECS 8
#define | CASE_STR(name)

## Typedefs

typedef struct janus_wsevh_client | janus_wsevh_client

## Functions

janus_eventhandler * | create (void)
int | janus_wsevh_init (const char *config_path)
void | janus_wsevh_destroy (void)
int | janus_wsevh_get_api_compatibility (void)
int | janus_wsevh_get_version (void)
const char * | janus_wsevh_get_version_string (void)
const char * | janus_wsevh_get_description (void)
const char * | janus_wsevh_get_name (void)
const char * | janus_wsevh_get_author (void)
const char * | janus_wsevh_get_package (void)
void | janus_wsevh_incoming_event (json_t *event)
json_t * | janus_wsevh_handle_request (json_t *request)

## Detailed Description

Janus WebSockets EventHandler plugin.

Author
  Lorenzo Miniero loren.nosp@m.zo@m.nosp@m.eetec.nosp@m.ho.c.nosp@m.om

Copyright
  GNU General Public License v3

This is a trivial WebSockets event handler plugin for Janus

Event handlers documentation

## Macro Definition Documentation

## CASE_STR

#define CASE_STR | ( |  | name | ) |

Value:
case name: return #name

## JANUS_WSEVH_AUTHOR

#define JANUS_WSEVH_AUTHOR "Meetecho s.r.l."

## JANUS_WSEVH_DESCRIPTION

#define JANUS_WSEVH_DESCRIPTION "This is a trivial WebSockets event handler plugin for Janus."

## JANUS_WSEVH_ERROR_INVALID_ELEMENT

#define JANUS_WSEVH_ERROR_INVALID_ELEMENT 413

## JANUS_WSEVH_ERROR_INVALID_REQUEST

#define JANUS_WSEVH_ERROR_INVALID_REQUEST 411

## JANUS_WSEVH_ERROR_MISSING_ELEMENT

#define JANUS_WSEVH_ERROR_MISSING_ELEMENT 412

## JANUS_WSEVH_ERROR_UNKNOWN_ERROR

#define JANUS_WSEVH_ERROR_UNKNOWN_ERROR 499

## JANUS_WSEVH_MAX_RETRY_SECS

#define JANUS_WSEVH_MAX_RETRY_SECS 8

## JANUS_WSEVH_NAME

#define JANUS_WSEVH_NAME "JANUS WebSocketsEventHandler plugin"

## JANUS_WSEVH_PACKAGE

#define JANUS_WSEVH_PACKAGE "janus.eventhandler.wsevh"

## JANUS_WSEVH_VERSION

#define JANUS_WSEVH_VERSION 1

## JANUS_WSEVH_VERSION_STRING

#define JANUS_WSEVH_VERSION_STRING "0.0.1"

## lws_sorted_usec_list_t

#define lws_sorted_usec_list_t void

## WS_LIST_TERM

#define WS_LIST_TERM 0, NULL, 0

## Typedef Documentation

## janus_wsevh_client

typedef struct janus_wsevh_client janus_wsevh_client

## Function Documentation

## create()

janus_eventhandler * create | ( | void |  | ) |

## janus_wsevh_destroy()

void janus_wsevh_destroy | ( | void |  | ) |

## janus_wsevh_get_api_compatibility()

int janus_wsevh_get_api_compatibility | ( | void |  | ) |

## janus_wsevh_get_author()

const char * janus_wsevh_get_author | ( | void |  | ) |

## janus_wsevh_get_description()

const char * janus_wsevh_get_description | ( | void |  | ) |

## janus_wsevh_get_name()

const char * janus_wsevh_get_name | ( | void |  | ) |

## janus_wsevh_get_package()

const char * janus_wsevh_get_package | ( | void |  | ) |

## janus_wsevh_get_version()

int janus_wsevh_get_version | ( | void |  | ) |

## janus_wsevh_get_version_string()

const char * janus_wsevh_get_version_string | ( | void |  | ) |

## janus_wsevh_handle_request()

json_t * janus_wsevh_handle_request | ( | json_t * | request | ) |

## janus_wsevh_incoming_event()

void janus_wsevh_incoming_event | ( | json_t * | event | ) |

## janus_wsevh_init()

int janus_wsevh_init | ( | const char * | config_path | ) |